import datetime

project_data = {'scheduleID': '59ab21bb00b4a57c24f533779f76201b',
                'plannedStartDate': '2018-09-18T23:59:00:309-0700',
                'ID': '59ab1b0200b48d92cfaefb590aa32fc4',
                'owner': {'name': 'Craig Lathrop', 'ID': '54107a1a001b8dd814f4d035f586991c', 'objCode': 'USER'},
                'schedule': {'extRefID': None, 'wednesday': ['09:00', '17:00'], 'sunday': [],
                             'ID': '59ab21bb00b4a57c24f533779f76201b', 'isDefault': False,
                             'customerID': '540f5a3f0019b61c467deb94ba9f66f5', 'monday': ['09:00', '17:00'],
                             'timeZone': 'US/Pacific', 'name': 'Testing Schedule',
                             'enteredByID': '54107a1a001b8dd814f4d035f586991c', 'friday': ['10:30', '17:00'],
                             'nonWorkDays': [{'scheduleID': '59ab21bb00b4a57c24f533779f76201b', 'scheduleDay': [],
                                              'ID': '59ab21bb00b4a57f01ece31ea46555f2',
                                              'objID': '59ab21bb00b4a57c24f533779f76201b',
                                              'customerID': '540f5a3f0019b61c467deb94ba9f66f5',
                                              'nonWorkDate': '2017-09-20', 'objCode': 'NONWKD', 'objObjCode': 'SCHED',
                                              'userID': None},
                                             {'scheduleID': '59ab21bb00b4a57c24f533779f76201b', 'scheduleDay': [],
                                              'ID': '59ab21bb00b4a57e3a5fe75d59917fee',
                                              'objID': '59ab21bb00b4a57c24f533779f76201b',
                                              'customerID': '540f5a3f0019b61c467deb94ba9f66f5',
                                              'nonWorkDate': '2017-09-14', 'objCode': 'NONWKD', 'objObjCode': 'SCHED',
                                              'userID': None},
                                             {'scheduleID': '59ab21bb00b4a57c24f533779f76201b', 'scheduleDay': [],
                                              'ID': '59ab21bb00b4a57d027bd6248794572a',
                                              'objID': '59ab21bb00b4a57c24f533779f76201b',
                                              'customerID': '540f5a3f0019b61c467deb94ba9f66f5',
                                              'nonWorkDate': '2017-09-11', 'objCode': 'NONWKD', 'objObjCode': 'SCHED',
                                              'userID': None}], 'groupID': '540f5a3f0019b7c78d5ca0877ba7ff72',
                             'tuesday': ['09:00', '17:00'], 'entryDate': '2017-09-02T14:25:15:065-0700',
                             'thursday': ['09:00', '17:00'], 'hasNonWorkDays': True, 'saturday': [],
                             'objCode': 'SCHED'},
                'company': {'name': 'Integrated Device Technology', 'ID': '540f5a3f0019b7dab30366572e4b5f1d',
                            'objCode': 'CMPY'}, 'entryDate': '2015-09-18T23:59:00:309-0700',
                'name': 'Test 2', 'scheduleMode': 'S', 'objCode': 'PROJ',
                'plannedCompletionDate': '2015-09-18T23:59:00:309-0700',
                'projectUsers': [{'objCode': 'PRTU',
                                  'user': {'reservedTimes': [{'startDate': '2017-09-06T00:00:00:241-0700',
                                                              'taskID': None,
                                                              'userID': '54107a1a001b8dd814f4d035f586991c',
                                                              'endDate': '2017-09-06T23:59:00:241-0700',
                                                              'objCode': 'RESVT',
                                                              'customerID': '540f5a3f0019b61c467deb94ba9f66f5',
                                                              'ID': '59ac857700b93844123b8315b51b45d2'},
                                                             {'startDate': '2017-09-13T11:00:00:385-0700',
                                                              'taskID': None,
                                                              'userID': '54107a1a001b8dd814f4d035f586991c',
                                                              'endDate': '2017-09-13T15:00:00:385-0700', 'objCode': 'RESVT',
                                                              'customerID': '540f5a3f0019b61c467deb94ba9f66f5',
                                                              'ID': '59ac857700b93845cdc5c0da457a8e40'}],
                                           'scheduleID': '540f5a3f0019b7d9b83bd545e6a2282a',
                                           'name': 'Craig Lathrop', 'objCode': 'USER',
                                           'ID': '54107a1a001b8dd814f4d035f586991c'}
                                  },
                                  {'objCode': 'PRTU',
                                   'user': {'reservedTimes': [{'startDate': '2015-09-17T00:00:00:309-0700',
                                                               'taskID': None,
                                                               'userID': '54cfcb0c000df1110d4cf8486742e9fe',
                                                               'endDate': '2015-09-18T23:59:00:309-0700', 'objCode': 'RESVT',
                                                               'customerID': '540f5a3f0019b61c467deb94ba9f66f5', 'ID': '58fe684a0078f52b79390cab62968721'},
                                                              {'startDate': '2017-05-10T00:00:00:156-0700', 'taskID': None,
                                                               'userID': '54cfcb0c000df1110d4cf8486742e9fe',
                                                               'endDate': '2017-05-12T23:59:00:156-0700', 'objCode': 'RESVT',
                                                               'customerID': '540f5a3f0019b61c467deb94ba9f66f5', 'ID': '58fe684a0078f52c8f5e808caa0dc584'}],
                                            'scheduleID': '540f5a3f0019b7d9b83bd545e6a2282a',
                                            'name': 'Mark Smith',
                                            'objCode': 'USER',
                                            'ID': '54cfcb0c000df1110d4cf8486742e9fe'}},
                                 {'objCode': 'PRTU',
                                  'user': {'reservedTimes': [],
                                             'scheduleID': '59ab21bb00b4a57c24f533779f76201b',
                                             'name': 'Bob Smith',
                                             'objCode': 'USER',
                                             'ID': '56b9015400068104947b22305f413acd'}},
                                 {'objCode': 'PRTU',
                                  'user': {'reservedTimes': [],
                                           'scheduleID': '540f5a3f0019b7d9b83bd545e6a2282a',
                                           'name': 'Sarah Smith',
                                           'objCode': 'USER', 'ID': '579fb4100093bfd873c58d5e1ce998e3'}}]}
